<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List" />
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;requestId>id@asc&lt;/requestId>&lt;body>&lt;queries>&lt;query>&lt;id>24&lt;/id>&lt;displayName>Orange&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Orange&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:53.684Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:02.089Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>23&lt;/id>&lt;displayName>Query 23&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description/>&lt;filters/>&lt;createdOn>2026-02-17T15:40:53.127Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:01.557Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>25&lt;/id>&lt;displayName>Zitrone&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Zitrone&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:54.217Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:02.563Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>26&lt;/id>&lt;displayName>Apfelsine&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Apfelsine&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:54.771Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:03.106Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;/queries>&lt;total>4&lt;/total>&lt;/body>&lt;/response>&lt;response>&lt;result>true&lt;/result>&lt;requestId>id@desc&lt;/requestId>&lt;body>&lt;queries>&lt;query>&lt;id>26&lt;/id>&lt;displayName>Apfelsine&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Apfelsine&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:54.771Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:03.106Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>25&lt;/id>&lt;displayName>Zitrone&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Zitrone&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:54.217Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:02.563Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>24&lt;/id>&lt;displayName>Orange&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description>Orange&lt;/description>&lt;filters/>&lt;createdOn>2026-02-17T15:40:53.684Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:02.089Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/query>&lt;query>&lt;id>23&lt;/id>&lt;displayName>Query 23&lt;/displayName>&lt;visibility>organization&lt;/visibility>&lt;description/>&lt;filters/>&lt;createdOn>2026-02-17T15:40:53.127Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2026-02-17T15:41:01.557Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName&gt;&lt;/lastUpdatedByUser>&lt;/query>&lt;/queries>&lt;total>4&lt;/total>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">3700</Property>
		<Property name="ISCurrentTime" type="Long">1771342929659</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">500514</Property>
		<Property name="ISUserName">ckaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">172.17.0.1</Property>
		<Property name="ISGlobalProcessId">500514</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="demux.totalIterations" type="Integer">1</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:template match="/*">&lt;root>&lt;xsl:for-each select="/response/responses/response">&lt;xsl:variable name="var.key" select="substring-before(requestId, '@')"/>&lt;xsl:variable name="var.direction" select="substring-after(requestId, '@')"/>&lt;xsl:variable name="var.original" select="body/queries/query" as="element()+"/>&lt;xsl:variable name="var.sorted" as="element()+">&lt;xsl:perform-sort select="$var.original">&lt;xsl:sort select="if ($var.key = 'id') then xs:integer(id) else xs:integer(version/template/id)" order="{ if ($var.direction='desc')  then 'descending' else 'ascending' }"/>&lt;xsl:sort select="xs:integer(id)"/>&lt;/xsl:perform-sort>&lt;/xsl:variable>&lt;xsl:if test="not(deep-equal($var.original, $var.sorted))">&lt;xsl:sequence select="error((), 'Bad sort')"/>&lt;/xsl:if>&lt;/xsl:for-each>&lt;/root>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>